using Aspn_ViewModel.ViewModel;
using Microsoft.AspNetCore.Mvc;
using System.Collections.Generic;
using System.Linq;

namespace Aspn_ViewModel.Controllers
{
    public class ClientePedidosController : Controller
    {
        public IActionResult Index()
        {
            //cria uma instncia do contexto
            VendasContext db = new VendasContext();

            //Para tratar as informaes de clientes e pedidos
            List<ClienteViewModel> listaClientesVM = new List<ClienteViewModel>();

            //consulta os dados do banco de dados
            //fazendo a juno da duas tabelas
            //e armazenando as informaes em listaClientes
            var listaClientes = (from Cli in db.Clientes
                                join Ped in db.Pedidos on Cli.ClienteId equals Ped.ClienteId
                                select new { Cli.Nome, Cli.Email, Cli.Endereco,
                                             Ped.DataPedido, Ped.PrecoPedido }).ToList();

            //percorre a lista de clientes e preenche
            //a ViewModel com os dados que sero exibidos na view
            foreach (var item in listaClientes)
            {
                ClienteViewModel cliVM = new ClienteViewModel(); //ViewModel
                cliVM.Nome = item.Nome;
                cliVM.Email = item.Email;
                cliVM.Endereco = item.Endereco;
                cliVM.DataPedido = item.DataPedido;
                cliVM.PrecoPedido = item.PrecoPedido;
                listaClientesVM.Add(cliVM);
            }
            //Retorna as informaes para View
            return View(listaClientesVM);
        }
    }
}