﻿using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata;
using Aspn_ViewModel.ViewModel;

namespace Aspn_ViewModel
{
    public partial class VendasContext : DbContext
    {
        public virtual DbSet<Clientes> Clientes { get; set; }
        public virtual DbSet<Pedidos> Pedidos { get; set; }

        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            #warning To protect potentially sensitive information in your connection string, you should move it out of source code. See http://go.microsoft.com/fwlink/?LinkId=723263 for guidance on storing connection strings.
            optionsBuilder.UseSqlServer(@"Data Source=.\;Initial Catalog=Vendas;Integrated Security=True");
        }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            modelBuilder.Entity<Clientes>(entity =>
            {
                entity.HasKey(e => e.ClienteId)
                    .HasName("PK_Clientes");

                entity.Property(e => e.Email).HasColumnType("varchar(250)");

                entity.Property(e => e.Endereco).HasColumnType("varchar(250)");

                entity.Property(e => e.Nome).HasColumnType("varchar(100)");

                entity.Property(e => e.Telefone).HasMaxLength(50);
            });

            modelBuilder.Entity<Pedidos>(entity =>
            {
                entity.HasKey(e => e.PedidoId)
                    .HasName("PK_Pedidos");

                entity.Property(e => e.DataPedido).HasColumnType("datetime");

                entity.Property(e => e.PrecoPedido).HasColumnType("decimal");
            });
        }

        public DbSet<Aspn_ViewModel.ViewModel.ClienteViewModel> ClienteViewModel { get; set; }
    }
}